import { Injectable } from '@angular/core';
import { Subject } from 'rxjs';

@Injectable({
  providedIn: 'root',
})
export class MapReloadService {
  private reloadSubject = new Subject<void>();
  public reload$ = this.reloadSubject.asObservable();

  requestReload(): void {
    this.reloadSubject.next();
  }
}
